org.jfree.chart

## Class ChartColor

- java.lang.Object
- - java.awt.Color
  - - org.jfree.chart.ChartColor

- All Implemented Interfaces:
    java.awt.Paint, java.awt.Transparency, java.io.Serializable

      public class ChartColor
      extends java.awt.Color

  Class to extend the number of Colors available to the charts. This extends the java.awt.Color object and extends the number of final Colors publically accessible.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.awt.Color` | `DARK_BLUE` A dark blue color.
    `static java.awt.Color` | `DARK_CYAN` A dark cyan color.
    `static java.awt.Color` | `DARK_GREEN` A dark green color.
    `static java.awt.Color` | `DARK_MAGENTA` A dark magenta color.
    `static java.awt.Color` | `DARK_RED` A dark red color.
    `static java.awt.Color` | `DARK_YELLOW` A dark yellow color.
    `static java.awt.Color` | `LIGHT_BLUE` A light blue color.
    `static java.awt.Color` | `LIGHT_CYAN` A light cyan color.
    `static java.awt.Color` | `LIGHT_GREEN` A light green color.
    `static java.awt.Color` | `LIGHT_MAGENTA` A light magenta color.
    `static java.awt.Color` | `LIGHT_RED` A light red color.
    `static java.awt.Color` | `LIGHT_YELLOW` A light yellow color.
    `static java.awt.Color` | `VERY_DARK_BLUE` A very dark blue color.
    `static java.awt.Color` | `VERY_DARK_CYAN` A very dark cyan color.
    `static java.awt.Color` | `VERY_DARK_GREEN` A very dark green color.
    `static java.awt.Color` | `VERY_DARK_MAGENTA` A very dark magenta/purple color.
    `static java.awt.Color` | `VERY_DARK_RED` A very dark red color.
    `static java.awt.Color` | `VERY_DARK_YELLOW` A very dark yellow color.
    `static java.awt.Color` | `VERY_LIGHT_BLUE` A very light blue color.
    `static java.awt.Color` | `VERY_LIGHT_CYAN` Aa very light cyan color.
    `static java.awt.Color` | `VERY_LIGHT_GREEN` A very light green color.
    `static java.awt.Color` | `VERY_LIGHT_MAGENTA` A very light magenta color.
    `static java.awt.Color` | `VERY_LIGHT_RED` A very light red color.
    `static java.awt.Color` | `VERY_LIGHT_YELLOW` A very light yellow color.

    - ### Fields inherited from class java.awt.Color

      `black, BLACK, blue, BLUE, cyan, CYAN, DARK_GRAY, darkGray, gray, GRAY, green, GREEN, LIGHT_GRAY, lightGray, magenta, MAGENTA, orange, ORANGE, pink, PINK, red, RED, white, WHITE, yellow, YELLOW`

    - ### Fields inherited from interface java.awt.Transparency

      `BITMASK, OPAQUE, TRANSLUCENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChartColor(int r, int g, int b)` Creates a Color with an opaque sRGB with red, green and blue values in range 0-255.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.awt.Paint[]` | `createDefaultPaintArray()` Convenience method to return an array of `Paint` objects that represent the pre-defined colors in the `Color` and `ChartColor` objects.

    - ### Methods inherited from class java.awt.Color

      `brighter, createContext, darker, decode, equals, getAlpha, getBlue, getColor, getColor, getColor, getColorComponents, getColorComponents, getColorSpace, getComponents, getComponents, getGreen, getHSBColor, getRed, getRGB, getRGBColorComponents, getRGBComponents, getTransparency, hashCode, HSBtoRGB, RGBtoHSB, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### VERY_DARK_RED

          public static final java.awt.Color VERY_DARK_RED

      A very dark red color.

    - #### DARK_RED

          public static final java.awt.Color DARK_RED

      A dark red color.

    - #### LIGHT_RED

          public static final java.awt.Color LIGHT_RED

      A light red color.

    - #### VERY_LIGHT_RED

          public static final java.awt.Color VERY_LIGHT_RED

      A very light red color.

    - #### VERY_DARK_YELLOW

          public static final java.awt.Color VERY_DARK_YELLOW

      A very dark yellow color.

    - #### DARK_YELLOW

          public static final java.awt.Color DARK_YELLOW

      A dark yellow color.

    - #### LIGHT_YELLOW

          public static final java.awt.Color LIGHT_YELLOW

      A light yellow color.

    - #### VERY_LIGHT_YELLOW

          public static final java.awt.Color VERY_LIGHT_YELLOW

      A very light yellow color.

    - #### VERY_DARK_GREEN

          public static final java.awt.Color VERY_DARK_GREEN

      A very dark green color.

    - #### DARK_GREEN

          public static final java.awt.Color DARK_GREEN

      A dark green color.

    - #### LIGHT_GREEN

          public static final java.awt.Color LIGHT_GREEN

      A light green color.

    - #### VERY_LIGHT_GREEN

          public static final java.awt.Color VERY_LIGHT_GREEN

      A very light green color.

    - #### VERY_DARK_CYAN

          public static final java.awt.Color VERY_DARK_CYAN

      A very dark cyan color.

    - #### DARK_CYAN

          public static final java.awt.Color DARK_CYAN

      A dark cyan color.

    - #### LIGHT_CYAN

          public static final java.awt.Color LIGHT_CYAN

      A light cyan color.

    - #### VERY_LIGHT_CYAN

          public static final java.awt.Color VERY_LIGHT_CYAN

      Aa very light cyan color.

    - #### VERY_DARK_BLUE

          public static final java.awt.Color VERY_DARK_BLUE

      A very dark blue color.

    - #### DARK_BLUE

          public static final java.awt.Color DARK_BLUE

      A dark blue color.

    - #### LIGHT_BLUE

          public static final java.awt.Color LIGHT_BLUE

      A light blue color.

    - #### VERY_LIGHT_BLUE

          public static final java.awt.Color VERY_LIGHT_BLUE

      A very light blue color.

    - #### VERY_DARK_MAGENTA

          public static final java.awt.Color VERY_DARK_MAGENTA

      A very dark magenta/purple color.

    - #### DARK_MAGENTA

          public static final java.awt.Color DARK_MAGENTA

      A dark magenta color.

    - #### LIGHT_MAGENTA

          public static final java.awt.Color LIGHT_MAGENTA

      A light magenta color.

    - #### VERY_LIGHT_MAGENTA

          public static final java.awt.Color VERY_LIGHT_MAGENTA

      A very light magenta color.

  - ### Constructor Detail

    - #### ChartColor

          public ChartColor(int r,
                            int g,
                            int b)

      Creates a Color with an opaque sRGB with red, green and blue values in range 0-255.
      Parameters:
        `r` - the red component in range 0x00-0xFF.
        `g` - the green component in range 0x00-0xFF.
        `b` - the blue component in range 0x00-0xFF.

  - ### Method Detail

    - #### createDefaultPaintArray

          public static java.awt.Paint[] createDefaultPaintArray()

      Convenience method to return an array of `Paint` objects that represent the pre-defined colors in the `Color` and `ChartColor` objects.
      Returns:
        An array of objects with the `Paint` interface.